Commit 63b95fb2 authored by Emil Velikov's avatar Emil Velikov Committed by Eric Engestrom
Browse files

meson: require shared glapi when using DRI based libGL



Just like we do in the autotools build.
Signed-off-by: default avatarEmil Velikov <emil.velikov@collabora.com>
Reviewed-by: default avatarDylan Baker <dylan@pnwbakers.com>
Reviewed-by: default avatarEric Engestrom <eric.engestrom@intel.com>
parent 728d1da1
......@@ -357,8 +357,12 @@ if with_glx != 'disabled'
if with_dri
error('xlib conflicts with any dri driver')
endif
elif with_glx == 'dri' and not with_dri
error('dri based GLX requires at least one DRI driver')
elif with_glx == 'dri'
if not with_dri
error('dri based GLX requires at least one DRI driver')
elif not with_shared_glapi
error('dri based GLX requires shared-glapi')
endif
endif
endif
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment